/**
 * This class manage the logger for all the implementations of a task
 */
package org.ow2.petals.jbi.management.task;

import org.ow2.petals.jbi.management.Task;
import org.ow2.petals.util.LoggingUtil;

/**
 * @author Frederic Gardes
 * 
 */
public abstract class AbstractLoggableTask implements Task {

    /**
     * logger wrapper
     */
    protected LoggingUtil log;

    /**
     * The constructor with a logger
     */
    public AbstractLoggableTask(LoggingUtil log) {
        super();
        this.log = log;
    }

}
