package org.ow2.petals.system.repository.exception;


public class ComponentAlreadyExistsException extends RepositoryException {

    /**
     * 
     */
    private static final long serialVersionUID = -8941833305529096887L;

    private final String componentName;

    public ComponentAlreadyExistsException(final String componentName, final Throwable e) {
        super("Component '" + componentName + "' already registered in the repository.", e);
        this.componentName = componentName;
    }

    public String getComponentName() {
        return this.componentName;
    }

}
