package org.ow2.petals.system.systemstate.exception;

import org.ow2.petals.systemstate.SystemStateException;

public class ServiceAssemblyAlreadyExistsException extends SystemStateException {

    /**
     * 
     */
    private static final long serialVersionUID = 873994567807178246L;

    private final String saName;

    public ServiceAssemblyAlreadyExistsException(final String saName) {
        super("Service assembly '" + saName + "' already registered in the system state.");
        this.saName = saName;
    }

    public String getServiceAssemblyName() {
        return this.saName;
    }

}
