package org.ow2.petals.system.repository.exception;


public class ServiceAssemblyAlreadyExistsException extends RepositoryException {

    /**
     * 
     */
    private static final long serialVersionUID = -3060953027547666731L;

    private final String saName;

    public ServiceAssemblyAlreadyExistsException(final String saName, final Throwable e) {
        super("Service assembly '" + saName + "' already registered in the repository.", e);
        this.saName = saName;
    }

    public String getServiceAssemblyName() {
        return this.saName;
    }

}
