package org.ow2.petals.system.systemstate.exception;

import org.ow2.petals.systemstate.SystemStateException;

public class ComponentAlreadyExistsException extends SystemStateException {

    /**
     * 
     */
    private static final long serialVersionUID = -8298949140637166588L;

    private final String componentName;

    public ComponentAlreadyExistsException(final String componentName) {
        super("Component '" + componentName + "' already registered in the system state.");
        this.componentName = componentName;
    }

    public String getComponentName() {
        return this.componentName;
    }

}
